[Dark Wizard Class Transfer]:
A Dark Wizard who reaches level 40 can proceed with the 2nd class transfer to become a Spellhowler or a Phantom Summoner. In order to accomplish the 2nd class transfer, a player must successfully complete three quests. The first of the quests may be undertaken by a character of level 35 or above. If you would like to view more detailed information, please click the class you are interested in.
Spellhowler
Phantom Summoner
Return
Close Window